# Uses of Interface
org.eclipse.net4j.util.collection.CloseableIterator

Packages that use CloseableIterator
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.

## Uses of CloseableIterator in org.eclipse.net4j.util.collection

Classes in org.eclipse.net4j.util.collection that implement CloseableIterator
Modifier and Type
Class
Description
`class`
`AbstractCloseableIterator<E>`
`class`
`DelegatingCloseableIterator<E>`
Methods in org.eclipse.net4j.util.collection that return CloseableIterator
Modifier and Type
Method
Description
`static <T> CloseableIterator<T>`
AbstractCloseableIterator.`emptyCloseable()`

## Uses of CloseableIterator in org.eclipse.net4j.util.om.log

Methods in org.eclipse.net4j.util.om.log that return CloseableIterator
Modifier and Type
Method
Description
`final CloseableIterator<RollingLog.LogLine>`
RollingLog.`iterator()`
`static CloseableIterator<RollingLog.LogLine>`
RollingLog.`iterator(String logFile)`